Update an IP pool
Rename the pool, set or clear the default flag, or change its domain scope. Routing follows the new settings for subsequent mail.
PATCH
/
email
/
ip_pools
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const IpPoolShow = await client.email.ipPools.update('id', {
name: 'name',
});
console.log(IpPoolShow.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
ip_pool_show = client.email.ip_pools.update(
id="id",
name="name",
)
print(ip_pool_show.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
iPPool, err := client.Email.IPPools.Update(
context.TODO(),
"id",
telnyx.EmailIPPoolUpdateParams{
Name: telnyx.String("name"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", iPPool.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.email.ipPools.IpPoolUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
IpPoolUpdateParams params = IpPoolUpdateParams.builder()
.name("name")
.build();
var response = client.email().ipPools().update("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
ip_pool_show = telnyx.email.ip_pools.update("id", name: "name")
puts(ip_pool_show)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$ip_pool_show = $client->email->ipPools->update(
'id',
name: 'name',
);
var_dump($ip_pool_show);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:ip-pools update \
--api-key 'My API Key' \
--id id \
--name namecurl --request PATCH \
--url https://api.telnyx.com/v2/email/ip_pools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "renamed-pool"
}
'{
"data": {
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "renamed-pool",
"is_default": true,
"domain_id": null,
"ips": [],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-14T21:30:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}{
"errors": [
{
"code": "10015",
"title": "Validation Failed",
"detail": "must contain only lowercase letters, numbers, dots, underscores and hyphens",
"source": {
"pointer": "/data/attributes/name"
}
}
]
}Authorizations
Body
application/json
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const IpPoolShow = await client.email.ipPools.update('id', {
name: 'name',
});
console.log(IpPoolShow.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
ip_pool_show = client.email.ip_pools.update(
id="id",
name="name",
)
print(ip_pool_show.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
iPPool, err := client.Email.IPPools.Update(
context.TODO(),
"id",
telnyx.EmailIPPoolUpdateParams{
Name: telnyx.String("name"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", iPPool.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.email.ipPools.IpPoolUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
IpPoolUpdateParams params = IpPoolUpdateParams.builder()
.name("name")
.build();
var response = client.email().ipPools().update("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
ip_pool_show = telnyx.email.ip_pools.update("id", name: "name")
puts(ip_pool_show)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$ip_pool_show = $client->email->ipPools->update(
'id',
name: 'name',
);
var_dump($ip_pool_show);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:ip-pools update \
--api-key 'My API Key' \
--id id \
--name namecurl --request PATCH \
--url https://api.telnyx.com/v2/email/ip_pools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "renamed-pool"
}
'{
"data": {
"id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"record_type": "ip_pool",
"name": "renamed-pool",
"is_default": true,
"domain_id": null,
"ips": [],
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-14T21:30:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}{
"errors": [
{
"code": "10015",
"title": "Validation Failed",
"detail": "must contain only lowercase letters, numbers, dots, underscores and hyphens",
"source": {
"pointer": "/data/attributes/name"
}
}
]
}